/*
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package api;

import invalidPackageName.ApiException;
import model.EntityModelTransportCall;
import model.PagedModelEntityModelTransportCall;
import model.TransportCallRequestBody;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for TransportCallEntityControllerApi
 */
@Disabled
public class TransportCallEntityControllerApiTest {

    private final TransportCallEntityControllerApi api = new TransportCallEntityControllerApi();

    /**
     * delete-transportcall
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void deleteItemResourceTransportcallDeleteTest() throws ApiException {
        String id = null;
        api.deleteItemResourceTransportcallDelete(id);
        // TODO: test validations
    }

    /**
     * get-transportcall
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void getCollectionResourceTransportcallGet1Test() throws ApiException {
        Integer page = null;
        Integer size = null;
        List<String> sort = null;
        PagedModelEntityModelTransportCall response = api.getCollectionResourceTransportcallGet1(page, size, sort);
        // TODO: test validations
    }

    /**
     * get-transportcall
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void getItemResourceTransportcallGetTest() throws ApiException {
        String id = null;
        EntityModelTransportCall response = api.getItemResourceTransportcallGet(id);
        // TODO: test validations
    }

    /**
     * patch-transportcall
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void patchItemResourceTransportcallPatchTest() throws ApiException {
        String id = null;
        TransportCallRequestBody transportCallRequestBody = null;
        EntityModelTransportCall response = api.patchItemResourceTransportcallPatch(id, transportCallRequestBody);
        // TODO: test validations
    }

    /**
     * create-transportcall
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void postCollectionResourceTransportcallPostTest() throws ApiException {
        TransportCallRequestBody transportCallRequestBody = null;
        EntityModelTransportCall response = api.postCollectionResourceTransportcallPost(transportCallRequestBody);
        // TODO: test validations
    }

    /**
     * update-transportcall
     *
     * @throws ApiException if the Api call fails
     */
    @Test
    public void putItemResourceTransportcallPutTest() throws ApiException {
        String id = null;
        TransportCallRequestBody transportCallRequestBody = null;
        EntityModelTransportCall response = api.putItemResourceTransportcallPut(id, transportCallRequestBody);
        // TODO: test validations
    }

}
